javax.jdo.metadata

## Interface PropertyMetadata

- All Superinterfaces:
    MemberMetadata, Metadata

      public interface PropertyMetadata
      extends MemberMetadata

  Represents a property in a class/persistent-interface.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFieldName()` Accessor for the field name.
    `PropertyMetadata` | `setFieldName(String name)` Method to set the field name (persistent interfaces).

    - ### Methods inherited from interface javax.jdo.metadata.MemberMetadata

      `getArrayMetadata, getCacheable, getCollectionMetadata, getColumn, getColumns, getConverter, getCustomStrategy, getDefaultFetchGroup, getDeleteAction, getDependent, getElementMetadata, getEmbedded, getEmbeddedMetadata, getFieldType, getForeignKeyMetadata, getIndexed, getIndexMetadata, getJoinMetadata, getKeyMetadata, getLoadFetchGroup, getMapMetadata, getMappedBy, getName, getNullValue, getNumberOfColumns, getOrderMetadata, getPersistenceModifier, getPrimaryKey, getRecursionDepth, getSequence, getSerialized, getTable, getUnique, getUniqueMetadata, getUseDefaultConversion, getValueMetadata, getValueStrategy, newArrayMetadata, newCollectionMetadata, newColumnMetadata, newElementMetadata, newEmbeddedMetadata, newForeignKeyMetadata, newIndexMetadata, newJoinMetadata, newKeyMetadata, newMapMetadata, newOrderMetadata, newUniqueMetadata, newValueMetadata, setCacheable, setColumn, setConverter, setCustomStrategy, setDefaultFetchGroup, setDeleteAction, setDependent, setEmbedded, setFieldType, setIndexed, setLoadFetchGroup, setMappedBy, setName, setNullValue, setPersistenceModifier, setPrimaryKey, setRecursionDepth, setSequence, setSerialized, setTable, setUnique, setUseDefaultConversion, setValueStrategy`

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setFieldName

          PropertyMetadata setFieldName(String name)

      Method to set the field name (persistent interfaces).
      Parameters:
        `name` - field name
      Returns:
        This metadata object

    - #### getFieldName

          String getFieldName()

      Accessor for the field name.
      Returns:
        Field name

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.